Package org.eclipse.m2m.atl.emftvm.ant

# Class LoadModelTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
org.eclipse.m2m.atl.emftvm.ant.LoadModelTask

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `LoadMetamodelTask`, `NewModelTask`

public class LoadModelTask extends EMFTVMTask
Loads a `Model`.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`LoadModelTask()`

## Method Summary

Modifier and Type
Method
Description
`protected Model`
`createModel(org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `Model` instance for the given `Resource`.
`String`
`getName()`
Returns the model name.
`String`
`getUri()`
Returns the model URI.
`String`
`getWspath()`
Returns the model workspace path.
`protected void`
`innerExecute()`
Performs the actual execution.
`protected void`
`loadFromNsuri(String uri)`
Loads model from
`protected void`
`loadFromURI(org.eclipse.emf.common.util.URI uri)`
Loads model from
`protected void`
`loadFromWspath(String wspath)`
Loads model from
`void`
`setName(String name)`
Sets the model name.
`void`
`setUri(String uri)`
Sets the model URI.
`void`
`setWspath(String wspath)`
Sets the model workspace path.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoadModelTask

public LoadModelTask()

## Method Details

### setName

public void setName(String name)
Sets the model name.

Parameters:
  `name` - the name to set

### getName

public String getName()
Returns the model name.

Returns:
  the name

### setWspath

public void setWspath(String wspath)
Sets the model workspace path.

Parameters:
  `wspath` - the wspath to set

### getWspath

public String getWspath()
Returns the model workspace path.

Returns:
  the wspath

### setUri

public void setUri(String uri)
Sets the model URI.

Parameters:
  `uri` - the uri to set

### getUri

public String getUri()
Returns the model URI.

Returns:
  the uri

### innerExecute

protected void innerExecute() throws Exception
Performs the actual execution.

Specified by:
  `innerExecute` in class `EMFTVMTask`
Throws:
  `Exception`

### createModel

protected Model createModel(org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `Model` instance for the given `Resource`.

Parameters:
  `resource` - the `Resource`
Returns:
  a new `Model`.

### loadFromNsuri

protected void loadFromNsuri(String uri)
Loads model from

    nsuri

.

Parameters:
  `uri` - the namespace URI

### loadFromWspath

protected void loadFromWspath(String wspath)
Loads model from

    wspath

.

Parameters:
  `wspath` - the workspace path

### loadFromURI

protected void loadFromURI(org.eclipse.emf.common.util.URI uri)
Loads model from

    uri

.

Parameters:
  `uri` - the EMF URI